Create Agent Group Config
Create an agent group config
Create an agent group config
Request
URI
POST
https://{api_host}/api/v2/agent/groups
COPY
Request Body
AgentGroupRequest
of type(s)
application/json
Required
Show optional properties
{
"constraints": {},
"name": "string"
}
{
"agentConfig": "string",
"autoUpdate": false,
"constraints": {
"bool": {
"filter": [
"Query Object"
],
"must": [
"Query Object"
],
"must_not": [
"Query Object"
],
"should": [
"Query Object"
]
},
"exists": {
"field": "string"
},
"match_all": {},
"match_phrase": {
"empty": false
},
"prefix": {
"empty": false
},
"range": {
"empty": false
},
"regexp": {
"empty": false
},
"term": {
"empty": false
},
"terms": {
"empty": false
}
},
"info": "string",
"mpId": "string",
"name": "string"
}
string
agentConfig
Optional
agentConfig
boolean
autoUpdate
Optional
autoUpdate
object
constraints
Required
constraints
string
info
Optional
info
string
mpId
Optional
mpId
string
name
Required
Constraints:
minLength: 1
name
Responses
200
Agent group config created successfully
Returns
AgentGroupResponse
of type(s)
application/json
{
"agentConfig": "string",
"autoUpdate": false,
"constraints": {
"bool": "BoolQuery Object",
"exists": {
"field": "string"
},
"match_all": {},
"match_phrase": {
"empty": false
},
"prefix": {
"empty": false
},
"range": {
"empty": false
},
"regexp": {
"empty": false
},
"term": {
"empty": false
},
"terms": {
"empty": false
}
},
"id": "string",
"info": "string",
"mpId": "string",
"name": "string"
}
string
agentConfig
Optional
agentConfig
boolean
autoUpdate
Optional
autoUpdate
object
constraints
Optional
constraints
string
id
Optional
id
string
info
Optional
info
string
mpId
Optional
mpId
string
name
Optional
name
201
Agent group config created successfully
Returns
AgentGroupResponse
of type(s)
application/json
{
"agentConfig": "string",
"autoUpdate": false,
"constraints": {
"bool": "BoolQuery Object",
"exists": {
"field": "string"
},
"match_all": {},
"match_phrase": {
"empty": false
},
"prefix": {
"empty": false
},
"range": {
"empty": false
},
"regexp": {
"empty": false
},
"term": {
"empty": false
},
"terms": {
"empty": false
}
},
"id": "string",
"info": "string",
"mpId": "string",
"name": "string"
}
string
agentConfig
Optional
agentConfig
boolean
autoUpdate
Optional
autoUpdate
object
constraints
Optional
constraints
string
id
Optional
id
string
info
Optional
info
string
mpId
Optional
mpId
string
name
Optional
name
400
Bad request: Invalid input data
Returns
ErrorBody
of type(s)
application/json
{
"errorCode": "string",
"errorDetails": {},
"errorMessage": "string"
}
string
errorCode
Optional
errorCode
Possible values are :
API_ERROR,
LIMIT_ERROR,
FIELD_ERROR,
TEST_ERROR,
JSON_FORMAT_ERROR,
LICENSE_ERROR,
VSPHERE_INTEGRATION_ERROR,
VROPS_INTEGRATION_ERROR,
UPGRADE_ERROR,
SEARCH_ERROR,
AGENT_ERROR,
RBAC_COMMON_ERROR,
RBAC_USERS_ERROR,
RBAC_GROUPS_ERROR,
RBAC_ADGROUPS_ERROR,
RBAC_DATASETS_ERROR,
RBAC_VIDM_GROUPS_ERROR,
RBAC_VIDB_GROUPS_ERROR,
AUTH_PROVIDER_ERROR,
SECURITY_ERROR,
DEPLOYMENT_ERROR,
SUPPORT_BUNDLE_ERROR,
VIP_ERROR,
LOAD_BALANCER_ERROR,
VIDM_ERROR,
VIDB_ERROR,
AD_ERROR,
WEBHOOK_ERROR,
WEB_PROXY_ERROR,
SMTP_ERROR,
QUERY_ERROR,
CERTIFICATE_PEM_FORMAT_ERROR,
CERTIFICATE_FILE_INVALID,
CERTIFICATE_UPDATE_ERROR,
NSX_INTEGRATION_ERROR,
NSX_MANAGER_CONNECTIVITY_ERROR,
NO_CONFIGURATION_ERROR,
SSL_ERROR,
CERTIFICATE_PURPOSE_ERROR,
VCF_CAPABILITIES_REGISTRY_ERROR,
VALIDATION_ERROR,
INTERNAL_SERVER_ERROR,
UNPROCESSABLE_ENTITY,
RESOURCE_EXHAUSTED,
object
errorDetails
Optional
errorDetails
string
errorMessage
Optional
errorMessage
403
Forbidden: Authentication required
Returns
ErrorBody
of type(s)
application/json
{
"errorCode": "string",
"errorDetails": {},
"errorMessage": "string"
}
string
errorCode
Optional
errorCode
Possible values are :
API_ERROR,
LIMIT_ERROR,
FIELD_ERROR,
TEST_ERROR,
JSON_FORMAT_ERROR,
LICENSE_ERROR,
VSPHERE_INTEGRATION_ERROR,
VROPS_INTEGRATION_ERROR,
UPGRADE_ERROR,
SEARCH_ERROR,
AGENT_ERROR,
RBAC_COMMON_ERROR,
RBAC_USERS_ERROR,
RBAC_GROUPS_ERROR,
RBAC_ADGROUPS_ERROR,
RBAC_DATASETS_ERROR,
RBAC_VIDM_GROUPS_ERROR,
RBAC_VIDB_GROUPS_ERROR,
AUTH_PROVIDER_ERROR,
SECURITY_ERROR,
DEPLOYMENT_ERROR,
SUPPORT_BUNDLE_ERROR,
VIP_ERROR,
LOAD_BALANCER_ERROR,
VIDM_ERROR,
VIDB_ERROR,
AD_ERROR,
WEBHOOK_ERROR,
WEB_PROXY_ERROR,
SMTP_ERROR,
QUERY_ERROR,
CERTIFICATE_PEM_FORMAT_ERROR,
CERTIFICATE_FILE_INVALID,
CERTIFICATE_UPDATE_ERROR,
NSX_INTEGRATION_ERROR,
NSX_MANAGER_CONNECTIVITY_ERROR,
NO_CONFIGURATION_ERROR,
SSL_ERROR,
CERTIFICATE_PURPOSE_ERROR,
VCF_CAPABILITIES_REGISTRY_ERROR,
VALIDATION_ERROR,
INTERNAL_SERVER_ERROR,
UNPROCESSABLE_ENTITY,
RESOURCE_EXHAUSTED,
object
errorDetails
Optional
errorDetails
string
errorMessage
Optional
errorMessage
500
Internal server error
Returns
ErrorBody
of type(s)
application/json
"ErrorBody Object"
string
errorCode
Optional
errorCode
Possible values are :
API_ERROR,
LIMIT_ERROR,
FIELD_ERROR,
TEST_ERROR,
JSON_FORMAT_ERROR,
LICENSE_ERROR,
VSPHERE_INTEGRATION_ERROR,
VROPS_INTEGRATION_ERROR,
UPGRADE_ERROR,
SEARCH_ERROR,
AGENT_ERROR,
RBAC_COMMON_ERROR,
RBAC_USERS_ERROR,
RBAC_GROUPS_ERROR,
RBAC_ADGROUPS_ERROR,
RBAC_DATASETS_ERROR,
RBAC_VIDM_GROUPS_ERROR,
RBAC_VIDB_GROUPS_ERROR,
AUTH_PROVIDER_ERROR,
SECURITY_ERROR,
DEPLOYMENT_ERROR,
SUPPORT_BUNDLE_ERROR,
VIP_ERROR,
LOAD_BALANCER_ERROR,
VIDM_ERROR,
VIDB_ERROR,
AD_ERROR,
WEBHOOK_ERROR,
WEB_PROXY_ERROR,
SMTP_ERROR,
QUERY_ERROR,
CERTIFICATE_PEM_FORMAT_ERROR,
CERTIFICATE_FILE_INVALID,
CERTIFICATE_UPDATE_ERROR,
NSX_INTEGRATION_ERROR,
NSX_MANAGER_CONNECTIVITY_ERROR,
NO_CONFIGURATION_ERROR,
SSL_ERROR,
CERTIFICATE_PURPOSE_ERROR,
VCF_CAPABILITIES_REGISTRY_ERROR,
VALIDATION_ERROR,
INTERNAL_SERVER_ERROR,
UNPROCESSABLE_ENTITY,
RESOURCE_EXHAUSTED,
object
errorDetails
Optional
errorDetails
string
errorMessage
Optional
errorMessage
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"constraints":"object","name":"string"}' https://{api_host}/api/v2/agent/groups